import request from '@/utils/request'

export function getJiazhengList(data = {}) {
	return request({
		url: '/app/user/jiazheng/list',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}
// 阿里云 上传
export function getAliyunPolicy(data = {}) {
	return request({
		url: '/app/file/policy',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getJiazhengLeixing(data = {}) {
	return request({
		url: '/app/user/jiazheng/ops/leixing',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getJiazhengJineng(data = {}) {
	return request({
		url: '/app/user/jiazheng/ops/jineng',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getJiazhengZhuangtai(data = {}) {
	return request({
		url: '/app/user/jiazheng/ops/zhuangtai',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getBaozhengJigou(data = {}) {
	return request({
		url: '/app/user/jiazheng/ops/jigou',
		headers: {
			isToken: false
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getJiazhengLevel(data = {}) {
	return request({
		url: '/app/user/jiazheng/ops/level',
		headers: {
			isToken: false
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getJiazhengZhiye(data = {}) {
	return request({
		url: '/app/user/jiazheng/ops/zhiye',
		headers: {
			isToken: false
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getJiazhengZhiyeAll(data = {}) {
	return request({
		url: '/app/user/jiazheng/ops/zhiye/all',
		headers: {
			isToken: false
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getJiazhengXueli(data = {}) {
	return request({
		url: '/app/user/jiazheng/ops/xueli',
		headers: {
			isToken: false
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getJiazhengHunyin(data = {}) {
	return request({
		url: '/app/user/jiazheng/ops/hunyin',
		headers: {
			isToken: false
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getJiazhengMinzu(data = {}) {
	return request({
		url: '/app/user/jiazheng/ops/minzu',
		headers: {
			isToken: false
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getJiazhengXingzuo(data = {}) {
	return request({
		url: '/app/user/jiazheng/ops/xingzuo',
		headers: {
			isToken: false
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getJiazhengShuxiang(data = {}) {
	return request({
		url: '/app/user/jiazheng/ops/shuxiang',
		headers: {
			isToken: false
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getJiazhengJiguan(data = {}) {
	return request({
		url: '/app/user/jiazheng/tree/city',
		headers: {
			isToken: false
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getJiazhengBanzhengCheckKc(data = {}) {
	return request({
		url: '/app/user/jiazheng/kaozheng/check/kecheng',
		headers: {
			isToken: false
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getJiazhengJianli(data = {}) {
	return request({
		url: '/app/user/jiazheng/jianli',
		headers: {
			isToken: false
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getJiazhengInfo(data = {}) {
	return request({
		url: '/app/user/jiazheng/info',
		headers: {
			isToken: false
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function jiazhengAdd(data = {}) {
	return request({
		url: '/app/user/jiazheng/add',
		headers: {
			isToken: false
		},
		isLoading: true,
		method: 'post',
		data,
		timeout: 20000
	})
}

export function jiazhengUpdate(data = {}) {
	return request({
		url: '/app/user/jiazheng/update',
		headers: {
			isToken: false
		},
		isLoading: true,
		method: 'post',
		data,
		timeout: 20000
	})
}

export function jiazhengKaozhengAdd(data = {}) {
	return request({
		url: '/app/user/jiazheng/kaozheng/add',
		headers: {
			isToken: true
		},
		isLoading: true,
		method: 'post',
		data,
		timeout: 20000
	})
}


export function jiazhengKaozhengDelete(data = {}) {
	return request({
		url: '/app/user/jiazheng/kaozheng/delete',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}


export function jiazhengIdcard(data = {}) {
	return request({
		url: '/app/user/jiazheng/idcard',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}


export function jiazhengCheck(data = {}) {
	return request({
		url: '/app/user/jiazheng/check',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}
export function jiazhengKaozhengUpdate(data = {}) {
	return request({
		url: '/app/user/jiazheng/kaozheng/update',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}
export function jiazhengSharePic(data = {}) {
	return request({
		url: '/app/user/jiazheng/share/pic',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function commonShare(data = {}) {
	return request({
		url: '/common/share',
		headers: {
			isToken: false
		},
		method: 'post',
		data,
		timeout: 20000
	})
}
export function jiazhengUserDelete(data = {}) {
	return request({
		url: '/app/user/jiazheng/delete',
		headers: {
			isToken: false
		},
		method: 'post',
		data,
		timeout: 20000
	})
}
export function kcSelectList(data = {}) {
	return request({
		url: '/app/user/jiazheng/kecheng/select/list',
		headers: {
			isToken: false
		},
		method: 'post',
		data,
		timeout: 20000
	})
}
export function jiazhengKcList(data = {}) {
	return request({
		url: '/app/user/jiazheng/kecheng/list',
		headers: {
			isToken: false
		},
		method: 'post',
		data,
		timeout: 20000
	})
}
export function jiazhengKcAdd(data = {}) {
	return request({
		url: '/app/user/jiazheng/kecheng/add',
		headers: {
			isToken: false
		},
		method: 'post',
		data,
		timeout: 20000
	})
}
export function jiazhengKcDelete(data = {}) {
	return request({
		url: '/app/user/jiazheng/kecheng/delete',
		headers: {
			isToken: false
		},
		method: 'post',
		data,
		timeout: 20000
	})
}
export function getAdminClassify(data = {}) {
  return request({
    url: '/app/kecheng/guanliyuan/classify',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function kechengReset(data = {}) {
  return request({
    url: '/app/user/jiazheng/kecheng/reset',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function chaxunNumberKecheng(data = {}) {
  return request({
    url: '/app/user/jiazheng/kecheng/yue',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function jiazhengKaozhengAdds(data = {}) {
  return request({
    url: '/app/user/jiazheng/kaozheng/adds',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
